#!/opt/puppetlabs/puppet/bin/ruby
#
# See the file "LICENSE" for the full license governing this code.
#
require 'json'
require 'open3'
require 'puppet'
# Load all available plugins
Puppet.initialize_settings
require 'easy_type'

begin
  data = EasyType::ResourceTask.new(:ora_role, 'role_name').execute
  puts({ :resources => data }.to_json)
rescue Puppet::Error => e
  puts({ :status => 'failure', :error => e.message }.to_json)
  exit 1
end
